using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_Kategori1")]
    public class MainKategori
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int Kategori1ID { get; set; }

        [Required]
        [StringLength(250)]
        public string Kategori1Name { get; set; }

        [StringLength(250)]
        public string DispositionCode1 { get; set; }

        [Required]
        public bool IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Required]
        public DateTime CreatedDatetime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Required]
        public DateTime LastUpdatedDatetime { get; set; }

        public virtual ICollection<SubKategori> SubKategori { get; set; }
    }
}
